searchData={"items":[{"type":"module","title":"EctoNetwork","doc":"Ecto types to support MACADDR, CIDR, and INET Postgrex types.","ref":"EctoNetwork.html"},{"type":"module","title":"EctoNetwork.CIDR","doc":"Support for using Ecto with `:cidr` fields.","ref":"EctoNetwork.CIDR.html"},{"type":"function","title":"EctoNetwork.CIDR.cast/1","doc":"Handle casting to Postgrex.INET","ref":"EctoNetwork.CIDR.html#cast/1"},{"type":"function","title":"EctoNetwork.CIDR.decode/1","doc":"Convert from native Ecto representation to a binary","ref":"EctoNetwork.CIDR.html#decode/1"},{"type":"function","title":"EctoNetwork.CIDR.dump/1","doc":"Convert to the native Ecto representation","ref":"EctoNetwork.CIDR.html#dump/1"},{"type":"function","title":"EctoNetwork.CIDR.embed_as/1","doc":"Handle embedding format for CIDR records.","ref":"EctoNetwork.CIDR.html#embed_as/1"},{"type":"function","title":"EctoNetwork.CIDR.equal?/2","doc":"Handle equality testing for CIDR records.","ref":"EctoNetwork.CIDR.html#equal?/2"},{"type":"function","title":"EctoNetwork.CIDR.load/1","doc":"Load from the native Ecto representation","ref":"EctoNetwork.CIDR.html#load/1"},{"type":"function","title":"EctoNetwork.CIDR.type/0","doc":"","ref":"EctoNetwork.CIDR.html#type/0"},{"type":"type","title":"EctoNetwork.CIDR.t/0","doc":"","ref":"EctoNetwork.CIDR.html#t:t/0"},{"type":"module","title":"EctoNetwork.INET","doc":"Support for using Ecto with `:inet` fields.","ref":"EctoNetwork.INET.html"},{"type":"function","title":"EctoNetwork.INET.cast/1","doc":"Handle casting to Postgrex.INET.","ref":"EctoNetwork.INET.html#cast/1"},{"type":"function","title":"EctoNetwork.INET.decode/1","doc":"Convert from native Ecto representation to a binary.","ref":"EctoNetwork.INET.html#decode/1"},{"type":"function","title":"EctoNetwork.INET.dump/1","doc":"Convert to the native Ecto representation.","ref":"EctoNetwork.INET.html#dump/1"},{"type":"function","title":"EctoNetwork.INET.embed_as/1","doc":"Handle embedding format for CIDR records.","ref":"EctoNetwork.INET.html#embed_as/1"},{"type":"function","title":"EctoNetwork.INET.equal?/2","doc":"Handle equality testing for CIDR records.","ref":"EctoNetwork.INET.html#equal?/2"},{"type":"function","title":"EctoNetwork.INET.load/1","doc":"Load from the native Ecto representation.","ref":"EctoNetwork.INET.html#load/1"},{"type":"function","title":"EctoNetwork.INET.type/0","doc":"","ref":"EctoNetwork.INET.html#type/0"},{"type":"type","title":"EctoNetwork.INET.t/0","doc":"","ref":"EctoNetwork.INET.html#t:t/0"},{"type":"module","title":"EctoNetwork.MACADDR","doc":"Support for using Ecto with `:macaddr` fields.","ref":"EctoNetwork.MACADDR.html"},{"type":"function","title":"EctoNetwork.MACADDR.cast/1","doc":"Handle casting to Postgrex.MACADDR.","ref":"EctoNetwork.MACADDR.html#cast/1"},{"type":"function","title":"EctoNetwork.MACADDR.decode/1","doc":"Convert from native Ecto representation to a binary.","ref":"EctoNetwork.MACADDR.html#decode/1"},{"type":"function","title":"EctoNetwork.MACADDR.dump/1","doc":"Convert to the native Ecto representation.","ref":"EctoNetwork.MACADDR.html#dump/1"},{"type":"function","title":"EctoNetwork.MACADDR.embed_as/1","doc":"Handle embedding format for CIDR records.","ref":"EctoNetwork.MACADDR.html#embed_as/1"},{"type":"function","title":"EctoNetwork.MACADDR.equal?/2","doc":"Handle equality testing for CIDR records.","ref":"EctoNetwork.MACADDR.html#equal?/2"},{"type":"function","title":"EctoNetwork.MACADDR.load/1","doc":"Load from the native Ecto representation.","ref":"EctoNetwork.MACADDR.html#load/1"},{"type":"function","title":"EctoNetwork.MACADDR.type/0","doc":"","ref":"EctoNetwork.MACADDR.html#type/0"},{"type":"type","title":"EctoNetwork.MACADDR.t/0","doc":"","ref":"EctoNetwork.MACADDR.html#t:t/0"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).","ref":"changelog.html"},{"type":"extras","title":"v1.5.0 - 2024-02-09 - Changelog","doc":"- Misc deprecation cleanups ([adam12](https://github.com/adam12))\n- Parse addresses in strict mode ([aerosol](https://github.com/aerosol))","ref":"changelog.html#v1-5-0-2024-02-09"},{"type":"extras","title":"v1.4.0 - 2023-12-12 - Changelog","doc":"- Misc doc changes ([kianmeng](https://github.com/kianmeng))\n- Add excoveralls for test coverage reporting ([sbothma](https://github.com/sbothma))\n- Add @type annotations ([s3cur3](https://github.com/s3cur3))","ref":"changelog.html#v1-4-0-2023-12-12"},{"type":"extras","title":"v1.3.0 - 2020-01-04 - Changelog","doc":"- Parsing of invalid MAC Addresses will no longer raise ArgumentError #19 ([sneako](https://github.com/sneako))\n- Parsing of INET addresses without a netmask no longer raise ArgumentError (#20) ([mikl](https://github.com/mikl))","ref":"changelog.html#v1-3-0-2020-01-04"},{"type":"extras","title":"v1.2.0 - 2019-11-01 - Changelog","doc":"- Ecto 3.2 support ([halostatue](https://github.com/halostatue))\n- Test database configurable through `DATABASE_URL` environment variable","ref":"changelog.html#v1-2-0-2019-11-01"},{"type":"extras","title":"v1.1.0 - 2019-04-12 - Changelog","doc":"- POSSIBLY BREAKING CHANGE: Ensure inet records returned from database have a default\n  netmask instead of nil (#13)","ref":"changelog.html#v1-1-0-2019-04-12"},{"type":"extras","title":"v1.0.0 - 2018-11-10 - Changelog","doc":"- Update dependencies to Ecto >= 3.0 and Postgrex >= 0.14","ref":"changelog.html#v1-0-0-2018-11-10"},{"type":"extras","title":"v1.0.0-rc.0 - 2018-10-19 - Changelog","doc":"- Update to work with Ecto 3.0-rc.0 and Postgrex 0.14-rc.1.\n- Use `extra_applications` when defining application list.","ref":"changelog.html#v1-0-0-rc-0-2018-10-19"},{"type":"extras","title":"v0.7.0 - 2017-11-16 - Changelog","doc":"- Update mix dependencies\n- Fix tests from capitalization changes\n- Fix compiler warnings ([van-mronov](https://github.com/van-mronov))","ref":"changelog.html#v0-7-0-2017-11-16"},{"type":"extras","title":"v0.6.0 - 2017-06-16 - Changelog","doc":"#","ref":"changelog.html#v0-6-0-2017-06-16"},{"type":"extras","title":"Changed - Changelog","doc":"- Add support for casting tuples ([bcardarella](https://github.com/bcardarella))","ref":"changelog.html#changed"},{"type":"extras","title":"v0.5.0 - 2017-02-01 - Changelog","doc":"#","ref":"changelog.html#v0-5-0-2017-02-01"},{"type":"extras","title":"Changed - Changelog","doc":"- Improve ExDoc configuration for better HexDocs integration\n- Better module documentation\n- Pad MAC addresses with zeros ([darkbushido](https://github.com/darkbushido))","ref":"changelog.html#changed"},{"type":"extras","title":"v0.4.0 - 2016-09-17 - Changelog","doc":"#","ref":"changelog.html#v0-4-0-2016-09-17"},{"type":"extras","title":"Changed - Changelog","doc":"- Moved parsing and decoding to `cast` functions. If you were using inserts\n  directly without casting (ie. inside a changeset), functionality may be broken.\n\n- Switch to :inet for parsing network portion of CIDR. IPv6 should be supported for\n  both types now.","ref":"changelog.html#changed"},{"type":"extras","title":"v0.3.0 - 2016-09-04 - Changelog","doc":"#","ref":"changelog.html#v0-3-0-2016-09-04"},{"type":"extras","title":"Added - Changelog","doc":"- IPv6 Support ([@webzepter](https://github.com/webzepter))","ref":"changelog.html#added"},{"type":"extras","title":"v0.2.0 - 2016-06-29 - Changelog","doc":"#","ref":"changelog.html#v0-2-0-2016-06-29"},{"type":"extras","title":"Added - Changelog","doc":"- Initial functionality implemented","ref":"changelog.html#added"},{"type":"extras","title":["License"],"doc":"The MIT License (MIT)\n\nCopyright (c) 2016 Adam Daniels and contributors\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"},{"type":"extras","title":"EctoNetwork","doc":"# EctoNetwork\n\n[![Module Version](https://img.shields.io/hexpm/v/ecto_network.svg)](https://hex.pm/packages/ecto_network)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/ecto_network/)\n[![Total Download](https://img.shields.io/hexpm/dt/ecto_network.svg)](https://hex.pm/packages/ecto_network)\n[![License](https://img.shields.io/hexpm/l/ecto_network.svg)](https://github.com/adam12/ecto_network/blob/master/LICENSE)\n[![Last Updated](https://img.shields.io/github/last-commit/adam12/ecto_network.svg)](https://github.com/adam12/ecto_network/commits/master)\n\nEcto types to support MACADDR and Network extensions provided by Postgrex.\n\nAlthough this is primarily an Ecto library, it has a hard dependency on Postgrex\ndue to the types it is providing.","ref":"readme.html"},{"type":"extras","title":"Installation - EctoNetwork","doc":"1. Add `:ecto_network` to your list of dependencies in `mix.exs`:\n\n    ```elixir\n    def deps do\n      [\n        # or 0.7.0 if you're stuck on Ecto < 3\n        {:ecto_network, \"~> 1.5.0\"}\n      ]\n    end\n    ```\n\n2. Create your migrations using the Postgres types as atoms.\n\n    ```elixir\n    def change do\n      create table(:your_table) do\n        add :ip_address, :inet\n        add :mac_address, :macaddr\n        add :network, :cidr\n      end\n    end\n    ```\n\n3. Use the new types in your Ecto schemas.\n\n    ```elixir\n    schema \"your_table\" do\n      field :ip_address, EctoNetwork.INET\n      field :mac_address, EctoNetwork.MACADDR\n      field :network, EctoNetwork.CIDR\n    end\n    ```","ref":"readme.html#installation"},{"type":"extras","title":"Contributing - EctoNetwork","doc":"I love pull requests! If you fork this project and modify it, please ping me to see\nif your changes can be incorporated back into this project.\n\nThat said, if your feature idea is nontrivial, you should probably open an issue to\n[discuss it](http://www.igvita.com/2011/12/19/dont-push-your-pull-requests/)\nbefore attempting a pull request.","ref":"readme.html#contributing"},{"type":"extras","title":"Copyright and License - EctoNetwork","doc":"Copyright (c) 2016 Adam Daniels and contributors\n\nEctoNetwork is released under the MIT License. See [LICENSE.md](./LICENSE.md) for\nmore information.","ref":"readme.html#copyright-and-license"}],"content_type":"text/markdown"}